org.apache.tomcat.websocket

## Class Constants

- java.lang.Object
- - org.apache.tomcat.websocket.Constants

    public class Constants
    extends Object

Internal implementation constants.

### Field Summary

Fields
`static String` `CONNECTION_HEADER_NAME`
`static String` `CONNECTION_HEADER_VALUE`
`static String` `HOST_HEADER_NAME`
`static byte` `OPCODE_BINARY`
`static byte` `OPCODE_CLOSE`
`static byte` `OPCODE_CONTINUATION`
`static byte` `OPCODE_PING`
`static byte` `OPCODE_PONG`
`static byte` `OPCODE_TEXT`
`protected static String` `PACKAGE_NAME`
`static boolean` `STRICT_SPEC_COMPLIANCE`
`static String` `UPGRADE_HEADER_NAME`
`static String` `UPGRADE_HEADER_VALUE`
`static String` `WS_EXTENSIONS_HEADER_NAME`
`static String` `WS_KEY_HEADER_NAME`
`static String` `WS_PROTOCOL_HEADER_NAME`
`static String` `WS_PROTOCOL_HEADER_NAME_LOWER`
`static String` `WS_VERSION_HEADER_NAME`
`static String` `WS_VERSION_HEADER_VALUE`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PACKAGE_NAME

    protected static final String PACKAGE_NAME

#### OPCODE_CONTINUATION

    public static final byte OPCODE_CONTINUATION

See Also:
  Constant Field Values

#### OPCODE_TEXT

    public static final byte OPCODE_TEXT

See Also:
  Constant Field Values

#### OPCODE_BINARY

    public static final byte OPCODE_BINARY

See Also:
  Constant Field Values

#### OPCODE_CLOSE

    public static final byte OPCODE_CLOSE

See Also:
  Constant Field Values

#### OPCODE_PING

    public static final byte OPCODE_PING

See Also:
  Constant Field Values

#### OPCODE_PONG

    public static final byte OPCODE_PONG

See Also:
  Constant Field Values

#### HOST_HEADER_NAME

    public static final String HOST_HEADER_NAME

See Also:
  Constant Field Values

#### UPGRADE_HEADER_NAME

    public static final String UPGRADE_HEADER_NAME

See Also:
  Constant Field Values

#### UPGRADE_HEADER_VALUE

    public static final String UPGRADE_HEADER_VALUE

See Also:
  Constant Field Values

#### CONNECTION_HEADER_NAME

    public static final String CONNECTION_HEADER_NAME

See Also:
  Constant Field Values

#### CONNECTION_HEADER_VALUE

    public static final String CONNECTION_HEADER_VALUE

See Also:
  Constant Field Values

#### WS_VERSION_HEADER_NAME

    public static final String WS_VERSION_HEADER_NAME

See Also:
  Constant Field Values

#### WS_VERSION_HEADER_VALUE

    public static final String WS_VERSION_HEADER_VALUE

See Also:
  Constant Field Values

#### WS_KEY_HEADER_NAME

    public static final String WS_KEY_HEADER_NAME

See Also:
  Constant Field Values

#### WS_PROTOCOL_HEADER_NAME

    public static final String WS_PROTOCOL_HEADER_NAME

See Also:
  Constant Field Values

#### WS_PROTOCOL_HEADER_NAME_LOWER

    public static final String WS_PROTOCOL_HEADER_NAME_LOWER

#### WS_EXTENSIONS_HEADER_NAME

    public static final String WS_EXTENSIONS_HEADER_NAME

See Also:
  Constant Field Values

#### STRICT_SPEC_COMPLIANCE

    public static final boolean STRICT_SPEC_COMPLIANCE